Cumulative Share of Voice
curl --request POST \
--url https://api.athenahq.ai/api/v1/metrics/share-of-voice/cumulative \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"website_id": "123e4567-e89b-12d3-a456-426614174000",
"filters": {
"start_date": "2024-01-01T00:00:00.000Z",
"end_date": "2024-01-31T23:59:59.999Z",
"location_ids": [
"123e4567-e89b-12d3-a456-426614174111"
]
}
}
'import requests
url = "https://api.athenahq.ai/api/v1/metrics/share-of-voice/cumulative"
payload = {
"website_id": "123e4567-e89b-12d3-a456-426614174000",
"filters": {
"start_date": "2024-01-01T00:00:00.000Z",
"end_date": "2024-01-31T23:59:59.999Z",
"location_ids": ["123e4567-e89b-12d3-a456-426614174111"]
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
website_id: '123e4567-e89b-12d3-a456-426614174000',
filters: {
start_date: '2024-01-01T00:00:00.000Z',
end_date: '2024-01-31T23:59:59.999Z',
location_ids: ['123e4567-e89b-12d3-a456-426614174111']
}
})
};
fetch('https://api.athenahq.ai/api/v1/metrics/share-of-voice/cumulative', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "Acme Corp",
"value": 33.3,
"relative_mention_rate": 40,
"absolute_value": 150,
"is_self": true
},
{
"name": "Competitor Inc",
"value": 26.7,
"relative_mention_rate": 32,
"absolute_value": 120,
"is_self": false
}
]
}Share of Voice
Cumulative Share of Voice
Returns aggregated share of voice percentages across the specified date range. Shows what percentage of AI responses mention your brand versus competitors. Each entry also includes relative_mention_rate: the entry’s mentions as a percentage of responses that mention at least one tracked brand.
POST
/
api
/
v1
/
metrics
/
share-of-voice
/
cumulative
Cumulative Share of Voice
Body
application/json
Request body for share of voice endpoints
Response
Successful response with share of voice data
Show child attributes
Show child attributes
Was this page helpful?
⌘I